package com.kyzh.androidsdkdemo;


import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.ImageView;
import android.widget.Toast;

import com.kyzh.sdk2.init.KyzhLib;
import com.kyzh.sdk2.listener.AccountListener;
import com.kyzh.sdk2.listener.GuestLoginListener;
import com.kyzh.sdk2.listener.InitListener;
import com.kyzh.sdk2.listener.LogoutListener;
import com.kyzh.sdk2.listener.PayListener;

public class MainActivity extends Activity {
    private static final String TAG = "MainActivity";
    private ImageView ivLogin;
    private ImageView ivLogOut;
    private ImageView ivPay;
    private String APP_ID = "P7YFrBbna8DXCdJ8";
    private String LOGIN_KEY = "peeCdnpxsaG6wKHX63dTrZGhWdRbZGkQ";
    private String PAY_KEY = "kf2J4RyNi2EfJK37j5T5zJKbweFpiyri";
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        ivLogin = findViewById(R.id.ivLogin);
        ImageView ivPush = findViewById(R.id.ivPush);
        ivLogOut = findViewById(R.id.ivLogout);
        ivPay = findViewById(R.id.ivPay);
        ivPush.setOnClickListener(v->{
            startActivity(new Intent(this, KyzhPostUserInfoActivity.class));
        });

        KyzhLib.init(this, APP_ID, LOGIN_KEY, PAY_KEY, true,true, new InitListener() {
            @Override
            public void success() {
                Toast.makeText(MainActivity.this, "初始化成功", Toast.LENGTH_SHORT).show();
            }

            @Override
            public void error() {

            }
        });

        ivLogin.setOnClickListener(v -> {
            KyzhLib.startLogin( new AccountListener() {
                @Override
                public void success(String token, String uid) {
                    Log.e( "success: ",token +  "   "+ uid);
                }

                @Override
                public void error(String error) {
                    Log.e( "success: ",error );
                }
            });
        });
        /*支付*/
        ivPay.setOnClickListener(v->{
            KyzhLib.startPay(this,  "cpOrderId", "serverId", "amount", "charid","extinfo", new PayListener() {
                @Override
                public void success(String orderId) {
                    Toast.makeText(MainActivity.this, "支付成功,订单号为"+orderId, Toast.LENGTH_SHORT).show();
                }

                @Override
                public void error(String error) {
                    Toast.makeText(MainActivity.this, "支付失败", Toast.LENGTH_SHORT).show();
                }
            });

        });
        /* 账号退出 sdk仅关闭悬浮球  token uid 置空 */
        ivLogOut.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                KyzhLib.logOut(new LogoutListener() {
                    @Override
                    public void success() {
                        Log.e("TAG", "success: " );
                        Toast.makeText(MainActivity.this, "退出成功", Toast.LENGTH_SHORT).show();
                    }
                    @Override
                    public void error(String error) {
                        Toast.makeText(MainActivity.this, error, Toast.LENGTH_SHORT).show();
                    }
                });
            }
        });
        /*用于切换账号  ,sdk仅关闭悬浮球  token uid 置空  */
        KyzhLib.setChangeAmountListener(new LogoutListener() {
            @Override
            public void success() {
                Log.e("TAG", "success: " );
                Toast.makeText(MainActivity.this, "账号切换成功", Toast.LENGTH_SHORT).show();
            }

            @Override
            public void error(String s) {
                Log.e("TAG", "success: " );
            }
        });
        //切换小号 当setChangeSmallListener 与setChangeAmountListener 同时接入后  悬浮球点开界面只显示切换小号
        // 当集成切换小号后  直接返回uid token 游戏方应切换游戏角色直接登录返回的角色信息
        KyzhLib.setChangeSmallListener(new AccountListener() {
            @Override
            public void success(String token, String uid) {
                Log.e("TAG", "setChangeSmallListener:uid: "+uid+"  Token："+token );
            }
            @Override
            public void error(String error) {
                Log.e("TAG", "error: "+error );
            }
        });
        /*账号注销   不加此方法  用户注销后会执行关闭应用操作
        **/
        KyzhLib.LogoffAmount(new GuestLoginListener() {
            @Override
            public void success() {
                Log.e(TAG, "success: " );
            }

            @Override
            public void error(String s) {
                Log.e(TAG, "error: "+s );
            }
        });
    }
}